> For the complete documentation index, see [llms.txt](https://docs.syntho.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.syntho.ai/syntho-api/syntho-rest-api/pii-scan.md).

# PII Scan

## POST /api/v1/pii\_scan/{database\_id}/start/

> Scan for PII

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ScanPIIParams":{"properties":{"allow_list":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Allow List"},"deny_list":{"anyOf":[{"$ref":"#/components/schemas/DenyDict"},{"type":"null"}],"default":null},"deselected_entities":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Deselected Entities"}},"title":"ScanPIIParams","type":"object"},"DenyDict":{"properties":{"language":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Language"},"ad_hoc_recognizers":{"anyOf":[{"items":{"$ref":"#/components/schemas/AdHocRecognizer"},"type":"array"},{"type":"null"}],"default":null,"title":"Ad Hoc Recognizers"}},"title":"DenyDict","type":"object"},"AdHocRecognizer":{"properties":{"name":{"title":"Name","type":"string"},"deny_list":{"items":{"type":"string"},"title":"Deny List","type":"array"}},"required":["name","deny_list"],"title":"AdHocRecognizer","type":"object"}}},"paths":{"/api/v1/pii_scan/{database_id}/start/":{"post":{"operationId":"pii_scan_start_create","description":"Scan for PII","parameters":[{"in":"query","name":"cardinality_check","schema":{"type":"boolean"}},{"in":"query","name":"data_scan","schema":{"type":"boolean"},"required":true},{"in":"path","name":"database_id","schema":{"type":"string"},"required":true},{"in":"query","name":"locale","schema":{"type":"string"},"required":true},{"in":"query","name":"overwrite_previous_scans","schema":{"type":"boolean"}}],"tags":["PII Scan","Jobs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScanPIIParams"}}}},"responses":{"204":{"description":"PII scan started"},"503":{"description":"Message: unable to fetch engine from external service"}}}}}}
```

## GET /api/v1/pii\_scan/{engine\_id}/recognizers/

> List of Allow/Deny options for PII Scan

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PIIRecognizerList":{"properties":{"recognizers":{"items":{"$ref":"#/components/schemas/PIIRecognizer"},"title":"Recognizers","type":"array"}},"required":["recognizers"],"title":"PIIRecognizerList","type":"object"},"PIIRecognizer":{"properties":{"name":{"title":"Name","type":"string"},"value":{"title":"Value","type":"boolean"}},"required":["name","value"],"title":"PIIRecognizer","type":"object"}}},"paths":{"/api/v1/pii_scan/{engine_id}/recognizers/":{"get":{"operationId":"pii_scan_recognizers_retrieve","description":"List of Allow/Deny options for PII Scan","parameters":[{"in":"query","name":"deepScan","schema":{"type":"boolean"}},{"in":"path","name":"engine_id","schema":{"type":"string"},"required":true},{"in":"query","name":"locale","schema":{"type":"string"}},{"in":"query","name":"textPii","schema":{"type":"boolean"}}],"tags":["PII Scan"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PIIRecognizerList"}}},"description":"Success: List of PII Scan options"},"503":{"description":"Message: unable to fetch engine from external service"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.syntho.ai/syntho-api/syntho-rest-api/pii-scan.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
